Bug 125490 - refactoring of autocorrect replacement handling breaks its search ability
Summary: refactoring of autocorrect replacement handling breaks its search ability
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2019-05-25 15:22 UTC by V Stuart Foote
Modified: 2019-06-11 08:06 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2019-05-25 15:22:07 UTC
Recent work to Weld the dialog, or maybe work on bug 109158 and bug 125241, seems to have clobbered the search of autocorrect replacment pairs.

Tools -> Autocorrect -> Autocorrect Options to launch the "AutoCorrect" dialog's "Replace" tab.

Through recent masters against 6.3.0alpha1+ we had ability in the UI to search the list advancing alphabetically to an entry made in the Replace entry field.

Was functional through
Version: 6.3.0.0.alpha1+ (x64)
Build ID: 3f5f67c68ae42cd14c08341b597e0331358a0d3f

but bad by
Version: 6.3.0.0.alpha1+
Build ID: 959e8ae7ea33ce94dd80ee8ea172b6db64593873
Comment 1 V Stuart Foote 2019-05-25 15:50:24 UTC
Not welded in that time frame, so guess indexing of the list box/tree list got changed, was that in https://gerrit.libreoffice.org/72489
Comment 2 m.a.riosv 2019-05-26 10:15:10 UTC
Repro
Version: 6.3.0.0.alpha1+ (x64)
Build ID: c74f633467e1cd272b8d0c285389bd855f3217a0
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-05-26_00:04:50
Locale: es-ES (es_ES); UI-Language: en-US
Calc: CL
Comment 3 Commit Notification 2019-05-27 07:58:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0e258c94980266cc669f3b18025fc9f2dc3abfcb%5E%21

Resolves: tdf#125490 use a single get_text impl for treeview

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 V Stuart Foote 2019-05-29 00:31:57 UTC
Verified.

Version: 6.3.0.0.alpha1+
Build ID: 37103a3f008c13dee21d55c8da9e6af807b1997c
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded